summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorLinus Färnstrand <linus@mullvad.net>2019-08-07 14:48:59 +0200
committerLinus Färnstrand <linus@mullvad.net>2019-08-08 17:05:18 +0200
commit5f67f85907b95ebe28f5e9d93d9a460067230a90 (patch)
tree70948cc12477051f9eb2d6bc2ae4a221901a2d5c
parent79e945984538a62036aa08a6388d15004a1c25f4 (diff)
downloadmullvadvpn-5f67f85907b95ebe28f5e9d93d9a460067230a90.tar.xz
mullvadvpn-5f67f85907b95ebe28f5e9d93d9a460067230a90.zip
Make buildserver-build.sh build Android APK on Linux
-rwxr-xr-xci/buildserver-build.sh6
1 files changed, 5 insertions, 1 deletions
diff --git a/ci/buildserver-build.sh b/ci/buildserver-build.sh
index 89a16c1185..5e9a5f88c5 100755
--- a/ci/buildserver-build.sh
+++ b/ci/buildserver-build.sh
@@ -66,7 +66,7 @@ sign_win() {
upload() {
current_hash=$1
- for f in MullvadVPN-*.{deb,rpm,exe,pkg}; do
+ for f in MullvadVPN-*.{deb,rpm,exe,pkg,apk}; do
sha256sum "$f" > "$f.sha256"
case "$(uname -s)" in
# Linux is both the build and upload server. Just move directly to target dir
@@ -129,6 +129,10 @@ build_ref() {
echo "Packaging all PDB files..."
find ./windows/ -iname "*.pdb" | tar -cJf $SCRIPT_DIR/pdb/$current_hash.tar.xz -T -
;;
+ Linux*)
+ echo "Building Android APK"
+ ./build-apk.sh || return 0
+ ;;
esac
(cd dist/ && upload $current_hash) || return 0